/* =====================================================
    Autor: Alejandro Galindo Valencia
    Correo: alebrije_galva@hotmail.com
    Cédula Profesional: 15324315
    Archivo: css/login.css
    Fecha de creación: 2025-12-27
    Última modificación:  2026-01-12
   ===================================================== */

/* Tu código CSS aquí */

* {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body {
    background: var(--AH-grey-200);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

/* ===============================
   CONTENEDOR
   =============================== */

.login-container {
    width: 360px;
    background: var(--AH-white);
    box-shadow: 0 0 10px var(--AH-black-10);
    border-radius: 10px;
    overflow: hidden;
}

.login-header {
    text-align: center;
}

.login-header h1 {
    color: var(--AH-grey-800);
    font-weight: bold;
}

.logo {
    width: 100px;
    padding: 20px;
    margin-top: 10px;
}

/* ===============================
   FORM
   =============================== */

form {
    padding: 20px;
}

.input-group {
    position: relative;
    margin-bottom: 15px;
}

/* ===============================
   INPUT
   =============================== */

.input {
    width: 270px;
    padding: 10px 40px 10px 10px;
    /* espacio para icono */
    background: var(--AH-grey-300);
    border: 1px solid var(--AH-grey-300);
    color: var(--AH-grey-800);
    font-size: 16px;
    border-radius: 5px;
}

/* Focus */
.input:focus {
    border-color: var(--AH-primary);
    outline: none;
}

/* ===============================
   ICONOS (mask)
   =============================== */

.input-group::after {
    content: "";
    position: absolute;
    right: 12px;
    top: 50%;
    width: 20px;
    height: 20px;
    transform: translateY(-50%);
    background-color: var(--AH-icon-color);

    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    -webkit-mask-position: center;

    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center;
}

/* Usuario */
.input-group:has(.user)::after {
    -webkit-mask-image: url("../img/icon/user.svg");
    mask-image: url("../img/icon/user.svg");
}

/* Contraseña */
.input-group:has(.password)::after {
    -webkit-mask-image: url("../img/icon/password.svg");
    mask-image: url("../img/icon/password.svg");
}

/* Icono en focus */
.input-group:has(input:focus)::after {
    background-color: var(--AH-primary);
}

.error-message {
    background-color: #ffe5e5;
    color: #b30000;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 6px;
    text-align: center;
    font-size: 14px;
}

/* ===============================
   BOTÓN
   =============================== */

button {
    width: 100%;
    padding: 10px;
    background: var(--AH-primary);
    color: var(--AH-grey-800);
    border: none;
    font-weight: bold;
    font-size: 20px;
    cursor: pointer;
    border-radius: 5px;
    margin: 10px 0 16px;
}

button:hover {
    background: var(--AH-primary-dark);
}

/* ===============================
   OTROS
   =============================== */

#msg {
    margin-top: 10px;
    text-align: center;
}

.btn-link {
    text-decoration: none;
}


@media (min-width: 599px) and (orientation: portrait) {

    body {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    /* CONTENEDOR */
    .login-container {
        width: 100%;
        max-width: 700px;
        margin: 0 20px;
        border-radius: 14px;
        box-shadow: 0 10px 30px var(--AH-black-10);
    }

    /* HEADER */
    .login-header {
        padding-top: 20px;
    }

    .login-header h1 {
        font-size: 60px;
        margin: 24px 0px;
    }

    .logo {
        width: 240px;
        padding: 24px;
        margin-top: 20px;
    }

    /* FORM */
    form {
        padding: 28px 26px 30px;
    }

    .input-group {
        margin-bottom: 22px;
    }

    /* INPUTS */
    .input {
        width: 90%;
        height: 100px;
        font-size: 40px;
        padding: 14px 48px 14px 14px;
        border-radius: 10px;
        margin: 24px 0px;
    }

    /* ICONOS */
    .input-group::after {
        width: 40px;
        height: 40px;
        right: 16px;
    }

    /* ERROR */
    .error-message {
        font-size: 40px;
        padding: 14px;
        border-radius: 10px;
        margin-bottom: 20px;
    }

    /* BOTÓN */
    button {
        height: 100px;
        font-size: 40px;
        border-radius: 10px;
        margin-top: 32px;
    }

    /* LINKS */
    #msg {
        font-size: 15px;
        margin-top: 14px;
    }
}